! Unix Specs

%recordformat TimeValFm(%integer sec, usec)

%recordformat RUsageFm(%record(TimeValFm) utime, stime,
                       %integer maxrs,ixrss,idrss,isrss,minflt,majflt,
                                nswap,inblock,outblock,msgsnd,msgrcv,
                                nsignals,nvcsw,nivcsw)

%recordformat Stat Fm(%short   Dev,
                      %integer Ino,
                      %short   Mode, Nlink, Uid,   Gid, Rdev,
                      %integer Size,
                               Atime, S1, Mtime, S2, Ctime, S3,
                               Blksize, Blocks, S4a, S4b)

%externalbytemapspec    Ctime  %alias "ctime"(%integername T)
%externalintegerfnspec  Close  %alias "close"(%integer Fd)
%externalintegerfnspec  Creat  %alias "creat"(%bytename B, %integer Mode)
%externalintegerspec    Errno  %alias "errno"
%externalroutinespec    Exit   %alias "exit"(%integer N)
%externalintegerfnspec  Fstat  %alias "fstat"(%integer F,
                                              %record(Stat Fm)%name B)
%externalintegerfnspec  GetPid %alias "getpid"
%externalintegerfnspec  GetrUsage %alias "getrusage"(%integer Who,
                                                     %record(RusageFm)%name R)
%externalintegerfnspec  Gtty   %alias "gtty"(%integer a, %record(*)%name b)
%externalintegerfnspec  Ioctl  %alias "ioctl"(%integer a, b, %bytename c)
%externalintegerfnspec  Link   %alias "link"(%bytename A, B)
%externalintegerfnspec  Lseek  %alias "lseek"(%integer F, P, A)
%externalintegerfnspec  Open   %alias "open"(%bytename P, %integer F, M)
%externalintegerfnspec  Read   %alias "read"(%integer F,
                                             %bytename B, %integer L)
%externalintegermapspec Sbrk   %alias "sbrk"(%integer Size)
%externalintegerfnspec  Signal %alias "signal"(%integer A, B)
%externalintegerfnspec  Stat   %alias "stat"(%bytename F,
                                             %record(Stat Fm)%name B)
%externalintegerfnspec  Stty   %alias "stty"(%integer a, %record(*)%name b)
%externalintegerfnspec  Time   %alias "time"(%integer N)
%externalintegerfnspec  Unlink %alias "unlink"(%bytename Path)
%externalintegerfnspec  Write  %alias "write"(%integer F, %bytename B, %integer L)
